namespace ConsoleApp24
{
    internal class Program
    {
        static void Main(string[] args)
        {
            
            string[] x = Console.ReadLine().Split();
            int N = int.Parse(x[0]);
            int L = int.Parse(x[1]);

           
            string[] b = Console.ReadLine().Split();
            int[] a = new int[N];
            for (int i = 0; i < N; i++)
            {
                a[i] = int.Parse(b[i]);
            }

           
            for (int i = 0; i < N; i++)
            {
                if (a[i] <= L)
                {
                    
                    Console.WriteLine(i + 1);
                    return;
                }
            }

           
            Console.WriteLine(-1);
        }
    }
}